# _XMLTreeInfo Struct Reference

## Data Fields

char * | tag
char ** | attributes
char * | content
size_t | offset
XMLTreeInfo * | parent
XMLTreeInfo * | next
XMLTreeInfo * | sibling
XMLTreeInfo * | ordered
XMLTreeInfo * | child
MagickBooleanType | debug
SemaphoreInfo * | semaphore
unsigned long | signature

## Field Documentation

char* _XMLTreeInfo::tag

char ** _XMLTreeInfo::attributes

char * _XMLTreeInfo::content

size_t _XMLTreeInfo::offset

XMLTreeInfo* _XMLTreeInfo::parent

XMLTreeInfo * _XMLTreeInfo::next

XMLTreeInfo * _XMLTreeInfo::sibling

XMLTreeInfo * _XMLTreeInfo::ordered

XMLTreeInfo * _XMLTreeInfo::child

MagickBooleanType _XMLTreeInfo::debug

SemaphoreInfo* _XMLTreeInfo::semaphore

unsigned long _XMLTreeInfo::signature

The documentation for this struct was generated from the following file:

- xml-tree.c